## org.apache.http.impl.cookie
Class BasicExpiresHandler

    java.lang.Object
      org.apache.http.impl.cookie.AbstractCookieAttributeHandler
          org.apache.http.impl.cookie.BasicExpiresHandler

All Implemented Interfaces:
  CookieAttributeHandler

    @Immutable
    public class BasicExpiresHandler

extends AbstractCookieAttributeHandler

Since:
  4.0

Constructor Summary
`BasicExpiresHandler(String[] datepatterns)`

Method Summary
`void` `parse(SetCookie cookie, String value)` Parse the given cookie attribute value and update the corresponding `Cookie` property.

Methods inherited from class org.apache.http.impl.cookie.AbstractCookieAttributeHandler
`match, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicExpiresHandler

    public BasicExpiresHandler(String[] datepatterns)

Method Detail

### parse

    public void parse(SetCookie cookie,
                      String value)
               throws MalformedCookieException

  Description copied from interface: `CookieAttributeHandler`
  Parse the given cookie attribute value and update the corresponding `Cookie` property.

  Parameters:
    `cookie` - `Cookie` to be updated
    `value` - cookie attribute value from the cookie response header
  Throws:
    `MalformedCookieException`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.